@keyframes rotate {
  100% {
    transform: rotate(360deg);
  }
}
html {
  box-sizing: border-box;
}

*, *::after, *::before {
  box-sizing: inherit;
}

html, body {
  height: 100%;
}

body {
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #CBCFD2;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
  font-size: 12px;
  color: #262626;
}

a {
  text-decoration: none;
}

.btn {
  border: none;
  padding: 6px;
  width: 100%;
  display: inline-block;
  text-align: center;
  color: #262626;
  border-radius: 4px;
  font-weight: 500;
  border: 1px solid #dbdbdb;
  background-color: transparent;
}

.app-window {
  width: 360px;
  max-height: 669px;
  background-color: #fff;
  display: flex;
  flex-direction: column;
  transform: scale(0.9);
}
.app-window > .menu {
  flex-growth: 0;
}
.app-window > .scroll {
  overflow-y: auto;
  overflow: -moz-scrollbars-none;
  -ms-overflow-style: none;
}
.app-window > .scroll::-webkit-scrollbar {
  width: 0;
}

.menu-row {
  padding: 16px 18px;
  border-bottom: 1.5px solid #dadada;
  background-color: #fafafa;
  display: flex;
}
.menu-row > .user {
  font-size: 1.3em;
  color: initial;
  flex-grow: 1;
}
.menu-row > .user::after {
  content: "";
  display: inline-block;
  height: 6px;
  width: 6px;
  margin-left: 8px;
  transform: rotate(45deg) translateY(-4px);
  border-right: 1.4px solid #262626;
  border-bottom: 1.4px solid #262626;
}
.menu-row > .icon {
  flex-grow: 0;
}

.header-row {
  display: flex;
  padding-top: 18px;
  padding-left: 18px;
  padding-right: 18px;
}
.header-row > .avatar {
  margin-right: 20px;
}
.header-row > .stats {
  flex: 1;
}

.avatar-icon {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 84px;
  height: 84px;
  background-image: linear-gradient(40deg, #FA9F4C, #C52F91);
  border-radius: 50%;
}
.avatar-icon > .icon {
  width: 96%;
  height: 96%;
  border-radius: 50%;
  border: 2px solid #fff;
  background-image: linear-gradient(40deg, #FA9F4C, #C52F91);
}

.stats-row {
  display: flex;
  flex-direction: column;
}
.stats-row > .stats {
  display: flex;
  justify-content: space-around;
  margin-bottom: 8px;
}
.stats-row > .action > button {
  width: 100%;
}

.stats-cell {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.stats-cell > .data {
  font-weight: 500;
  font-size: 1.4em;
  margin-bottom: 4px;
}
.stats-cell > .label {
  color: #999999;
  font-weight: 300;
  letter-spacing: 0.1px;
}

.description-row {
  padding: 18px;
  border-bottom: 1px solid #dbdbdb;
}
.description-row > .headline {
  font-weight: 600;
}
.description-row > .link {
  color: #001d56;
  margin-top: 2px;
}

.story-highlights {
  padding: 12px 18px;
  border-bottom: 0.1px solid #dbdbdb;
}
.story-highlights > .label {
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-weight: 500;
  flex-grow: 1;
}
.story-highlights > .label::after {
  content: "";
  display: inline-block;
  height: 8px;
  width: 8px;
  margin-left: 8px;
  transform: rotate(45deg) translateY(-4px);
  border-right: 1.4px solid #262626;
  border-bottom: 1.4px solid #262626;
}

.tabs-row {
  display: flex;
  justify-content: space-around;
  padding: 12px 18px;
  border-bottom: 0.5px solid #dbdbdb;
}

.icon-grid {
  user-select: none;
  cursor: pointer;
}
.icon-grid > .control {
  display: none;
}
.icon-grid > .icon {
  height: 22px;
  width: 22px;
  border-radius: 2px;
  border: 2px solid #3D95EB;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}
.icon-grid > .icon::before {
  content: "";
  position: absolute;
  display: inline-block;
  width: 8px;
  height: 100%;
  border-left: 2px solid #3D95EB;
  border-right: 2px solid #3D95EB;
}
.icon-grid > .icon::after {
  content: "";
  position: absolute;
  display: inline-block;
  width: 100%;
  height: 8px;
  border-top: 2px solid #3D95EB;
  border-bottom: 2px solid #3D95EB;
}
.icon-grid[data-state=active] > .icon {
  border-color: #3D95EB;
}
.icon-grid[data-state=active] > .icon::before {
  border-left-color: #3D95EB;
  border-right-color: #3D95EB;
}
.icon-grid[data-state=active] > .icon::after {
  border-top-color: #3D95EB;
  border-bottom-color: #3D95EB;
}
.icon-grid[data-state=muted] > .icon {
  border-color: #999999;
}
.icon-grid[data-state=muted] > .icon::before {
  border-left-color: #999999;
  border-right-color: #999999;
}
.icon-grid[data-state=muted] > .icon::after {
  border-top-color: #999999;
  border-bottom-color: #999999;
}

.icon-row {
  user-select: none;
  cursor: pointer;
}
.icon-row > .icon {
  width: 20px;
  height: 22px;
  border-top: 2px solid #999999;
  border-bottom: 2px solid #999999;
  display: flex;
  justify-content: center;
  align-items: center;
}
.icon-row > .icon::before {
  content: "";
  display: inline-block;
  width: 100%;
  height: 16px;
  border: 2px solid #999999;
}
.icon-row > .control {
  display: none;
}
.icon-row[data-state=active] > .icon {
  border-top-color: #3D95EB;
  border-bottom-color: #3D95EB;
}
.icon-row[data-state=active] > .icon::before {
  border-color: #3D95EB;
}
.icon-row[data-state=muted] > .icon {
  border-top-color: #999999;
  border-bottom-color: #999999;
}
.icon-row[data-state=muted] > .icon::before {
  border-color: #999999;
}

.icon-tagged {
  width: 20px;
  height: 18px;
  border-radius: 3px;
  border: 2px solid #999999;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: flex-end;
}
.icon-tagged::before {
  content: "";
  position: absolute;
  top: -2px;
  left: 50%;
  width: 4px;
  height: 4px;
  background-color: #fff;
  border-top: 2px solid #999999;
  border-left: 2px solid #999999;
  transform: rotate(45deg) translateX(-64%);
}
.icon-tagged > .avatar {
  width: 12px;
  height: 4px;
  border-left: 2px solid #999999;
  border-top: 2px solid #999999;
  border-right: 2px solid #999999;
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
  position: relative;
}
.icon-tagged > .avatar::before {
  content: "";
  position: absolute;
  top: -11px;
  width: 8px;
  height: 8px;
  border-radius: 50%;
  border: 2px solid #999999;
}

.display-tab {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
}
.display-tab > .post {
  width: 33.33%;
  height: 120px;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
  background-color: #dbdbdb;
  border-right: 4px solid #fff;
  margin-top: 4px;
}
.display-tab > .post:nth-child(3n) {
  border-right: 0;
}
.display-tab[data-post=full] > .post {
  width: 100%;
  border-right: 0;
  height: 360px;
}

.icon-switcher {
  width: 50px;
  height: 24px;
  position: relative;
  cursor: pointer;
  user-select: none;
}
.icon-switcher > .control {
  display: none;
}
.icon-switcher > .control + .peg {
  display: inline-block;
  position: absolute;
  z-index: 4;
  top: 0;
  left: 0;
  width: 24px;
  height: 24px;
  border-radius: 50%;
  border: 1px solid #999999;
  transition: 0.2s;
  background-color: #fff;
}
.icon-switcher > .control ~ .bg {
  border-radius: 12px;
  width: 100%;
  height: 100%;
  border: 1px solid #999999;
  background-color: #fff;
  position: relative;
  z-index: 0;
  display: flex;
  align-items: center;
  overflow: hidden;
}
.icon-switcher > .control ~ .bg::before {
  content: "";
  position: absolute;
  left: calc(100% - 20px);
  display: inline-block;
  width: 16px;
  height: 16px;
  border-radius: 50%;
  background-color: #262626;
  transition: 0.2s ease-out;
}
.icon-switcher > .control ~ .bg::after {
  content: "";
  position: absolute;
  left: calc(100% - 14px);
  top: -1px;
  display: inline-block;
  width: 16px;
  height: 16px;
  border-radius: 50%;
  background-color: #fff;
  transition: 0.2s ease-out;
}
.icon-switcher > .control:checked + .peg {
  left: calc(100% - 24px);
}
.icon-switcher > .control:checked ~ .bg {
  background-color: #262626;
}
.icon-switcher > .control:checked ~ .bg::before {
  left: 6px;
  width: 14px;
  height: 14px;
  background-color: #ffd712;
  filter: blur(4px);
}
.icon-switcher > .control:checked ~ .bg::after {
  background-color: #ffd712;
  width: 12px;
  height: 12px;
  top: initial;
  left: 8px;
}

body[data-theme=dark] {
  color: #fff;
}
body[data-theme=dark] .btn {
  color: #fff;
}
body[data-theme=dark] .app-window {
  background-color: #292b36;
}
body[data-theme=dark] .menu-row {
  border-bottom-color: #595959;
  background-color: #292b36;
}
body[data-theme=dark] .menu-row > .user {
  color: #fff;
}
body[data-theme=dark] .menu-row > .user::after {
  border-right-color: #dadada;
  border-bottom-color: #dadada;
}
body[data-theme=dark] .avatar-icon > .icon {
  border-color: #292b36;
}
body[data-theme=dark] .description-row {
  border-bottom-color: #595959;
}
body[data-theme=dark] .description-row > .link {
  color: #3D95EB;
}
body[data-theme=dark] .story-highlights {
  border-bottom-color: #595959;
}
body[data-theme=dark] .story-highlights > .label::after {
  border-right-color: #dadada;
  border-bottom-color: #dadada;
}
body[data-theme=dark] .icon-tagged::before {
  background-color: #292b36;
}
body[data-theme=dark] .display-tab > .post {
  border-right-color: #292b36;
}

@media (max-width: 420px) {
  .app-window {
    width: 100vw;
    max-height: 100%;
    transform: scale(1);
  }
}